import Foundation

Foundation.BridgeDef('Enterprise Nx01', 'NXBridge', dict = {
	'modes': [  Foundation.MutatorDef.QuickBattle ],
	'locations': {
	# Nx-01-Bridge Locations
	'NxHelm':	[ 'data/animations/Nx_stand_h_m.nif', 'Nx_stand_h_m' ],
	'NxTactical':	[ 'data/animations/Nx_stand_t_l.nif', 'Nx_stand_t_l' ],
	'NxCommander':	[ 'data/animations/Nx_stand_c_m.nif', 'Nx_stand_c_m' ],
	'NxScience':	[ 'data/animations/Nx_stand_S_S.nif', 'Nx_stand_s_s' ],
	'NxEngineer':	[ 'data/animations/Nx_stand_e_s.nif', 'Nx_stand_e_s' ],
	'NxGuest':	[ 'data/animations/Nx_stand_X_m.nif', 'Nx_stand_X_m' ],
	'NxL1S':	[ 'data/animations/Nx_L1toG3_S.nif', 'Nx_L1toG3_s', 'pCharacter.SetHidden(1)' ],
	'NxL1M':	[ 'data/animations/Nx_L1toG3_M.nif', 'Nx_L1toG3_M', 'pCharacter.SetHidden(1)' ],
	'NxL1L':	[ 'data/animations/Nx_L1toG3_L.nif', 'Nx_L1toG3_L', 'pCharacter.SetHidden(1)' ],
	'NxL2M':	[ 'data/animations/Nx_L2toG2_M.nif', 'Nx_L2toG2_M', 'pCharacter.SetHidden(1)' ],
	'NxG1M':	[ 'data/animations/Nx_G1toL2_M.nif', 'Nx_G1toL2_M' ],
	'NxG2M':	[ 'data/animations/Nx_G2toL2_M.nif', 'Nx_G2toL2_M' ],
	'NxG3M':	[ 'data/animations/Nx_G3toL1_M.nif', 'Nx_G3toL1_M' ],
	},
	"bridgeSound":	{
		"LiftDoor": {"volume": 1.0,"file": "sfx/NXBridge/NXDoor.wav", "group": "BridgeGeneric"},
		"AmbBridge": {"volume": 0.3,"file": "sfx/NXBridge/NXambiant.wav", "group": "BridgeGeneric"},
		"RedAlertSound": {"volume": 1.0,"file": "sfx/NXBridge/NXRed.wav", "group": "BridgeGeneric"},
		"YellowAlertSound": {"volume": 1.0,"file": "sfx/NXBridge/NXYellow.wav", "group": "BridgeGeneric"},
		"GreenAlertSound": {"volume": 1.0,"file": "sfx/NXBridge/NXGreen.wav", "group": "BridgeGeneric"},
		"ViewOn": {"volume": 1.0,"file": "sfx/NXBridge/NXHailIn.wav", "group": "BridgeGeneric"},
		"ViewOff": {"volume": 1.0,"file": "sfx/NXBridge/NXHailOut.wav", "group": "BridgeGeneric"}
	},
	"LoadingScreen": "data/Icons/LoadingScreens/NXLoading.tga",
} )